{-- 
Find cases where a user with a rating worse (alphabetically, greater) than "C"
is offering an item with a reserve price of more than 1000.
--}

<result>
  {
    for $u in collection("USERS")/*:USERS
    for $i in collection("ITEMS")/*:ITEMS
    where $u/RATING > "C" 
       and $i/RESERVE_PRICE > 1000 
       and $i/OFFERED_BY = $u/USERID
    return
        <warning>
            { $u/NAME }
            { $u/RATING }
            { $i/DESCRIPTION }
            { $i/RESERVE_PRICE }
        </warning>
  }
</result>
