{--
For bicycle(s) offered by Tom Jones, list the item number, description, highest bid (if any), and name of the highest bidder, ordered by item number.
--}
<result>
  {
    for $seller in collection("USERS")/*:USERS,
        $buyer in  collection("USERS")/*:USERS,
        $item in  collection("ITEMS")/*:ITEMS,
        $highbid in  collection("BIDS")/*:BIDS
    where $seller/NAME = "Tom Jones" 
      and $seller/USERID = $item/OFFERED_BY 
      and contains($item/DESCRIPTION, "Bicycle") 
      and $item/ITEMNO = $highbid/ITEMNO 
      and $highbid/USERID = $buyer/USERID 
      and $highbid/BID = max(collection("BIDS")/*:BIDS
                               [ITEMNO = $item/ITEMNO]/BID)
    return
        <jones_bike>
            { $item/ITEMNO }
            { $item/DESCRIPTION }
            <high_bid>{ $highbid/BID }</high_bid>
            <high_bidder>{ $buyer/NAME }</high_bidder>
        </jones_bike>
    sortby(ITEMNO)
  }
</result>
