{--
For each item whose highest bid is more than twice its reserve price, list the item number, description, reserve price, and highest bid.
--}
<result>
  {
    for $item in collection("ITEMS")/*:ITEMS
    let $b := collection("BIDS")/*:BIDS[ITEMNO = $item/ITEMNO]
    where $item/RESERVE_PRICE * 2 < max($b/BID)
    return
        <successful_item>
            { $item/ITEMNO }
            { $item/DESCRIPTION }
            { $item/RESERVE_PRICE }
            <high_bid>{ max($b/BID) }</high_bid>
        </successful_item>
 }
</result>
