{--
Find the highest bid ever made for a bicycle or tricycle.
--}

let $allbikes := collection("ITEMS")/*:ITEMS[contains(DESCRIPTION, "Bicycle") 
                     			   or contains(DESCRIPTION, "Tricycle")]
let $bikebids := collection("BIDS")/*:BIDS[ITEMNO = $allbikes/ITEMNO]
return
    <high_bid>
      { 
        max($bikebids/BID) 
      }
    </high_bid>
