{--
For each user who has placed a bid, give the userid, name, number of bids, and average bid, in order by userid
--}
<result>
  {
    for $uid in distinct-values(collection("BIDS")/*:BIDS/USERID),
        $u in collection("USERS")/*:USERS[USERID = $uid]
    let $b := collection("BIDS")/*:BIDS[USERID = $uid]
    return
        <bidder>
            { $u/USERID }
            { $u/NAME }
            <bidcount>{ count($b) }</bidcount>
            <avgbid>{ avg($b/BID) }</avgbid>
        </bidder>
  }
</result>

