{--
List item numbers and average bids for items that have received three or more bids, in descending order by average bid.
--}
<result>
  {
    for $i in distinct-values(collection("BIDS")/*:BIDS/ITEMNO)
    let $b := collection("BIDS")/*:BIDS[ITEMNO = $i]
    where count($b) >= 3
    return
        <popular_item>
            { $i }
            <avgbid>{ avg($b/BID) }</avgbid>
        </popular_item>
    sortby(avgbid descending)
  }
</result>

