{-- 
For all bicycles, list the item number, description, and highest bid (if any), ordered by item number.
--}
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
<result>
  {
    for $i in collection("ITEMS")/*:ITEMS
    let $b := doc("bids.xml")/bid:bids/bid_tuple[itemno = $i/ITEMNO]
    where contains($i/DESCRIPTION, "Bicycle")
    return
        <item>
            { $i/ITEMNO }
            { $i/DESCRIPTION }
            <high_bid>{ max($b/bid) }</high_bid>
        </item>
    sortby(ITEMNO)
  }
</result> 
