{--
List item numbers and descriptions of items that have no bids.
--}
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
<result>
  {
    for $i in collection("ITEMS")/*:ITEMS
    where not(some $b in doc("bids.xml")/bid:bids/bid_tuple 
                        satisfies $b/itemno = $i/ITEMNO)
    return
        <no_bid_item>
            { $i/ITEMNO }
            { $i/DESCRIPTION }
        </no_bid_item>
  }
</result>
