{--
List names of users who have placed multiple bids of at least $100 each.
--}
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
<result>
  {
    for $u in collection("USERS")/*:USERS
    let $b := doc("bids.xml")/bid:bids/bid_tuple[userid = $u/USERID and bid >= 100]
    where count($b) > 1
    return
        <big_spender>{ $u/NAME/text() }</big_spender>
  }
</result>

