{--
List the names of users, if any, who have bid on every item.
--}
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
<frequent_bidder>
  {
    for $u in collection("USERS")/*:USERS
    where 
      every $item in collection("ITEMS")/*:ITEMS satisfies 
        some $b in doc("bids.xml")/bid:bids/bid_tuple satisfies 
          ($item/ITEMNO = $b/itemno and $u/USERID = $b/userid)
    return
        $u/NAME
  }
</frequent_bidder>
