import schema namespace bib = "http://www.e-xmlmedia.com/XQuery/use-cases/bib" at "bib.xsd"
import schema namespace rev = "http://www.e-xmlmedia.com/XQuery/use-cases/reviews" at "reviews.xsd"
<books-with-prices>
  {
	for $b in doc("bib.xml")/bib:bib//book,
	    $a in doc("reviews.xml")/rev:reviews//entry
	where $b/title = $a/title
	return
		<book-with-prices>
			{ $b/title }
			<price-amazon>{ $a/price/text() }</price-amazon>
			<price-bn>{ $b/price/text() }</price-bn>
		</book-with-prices>
	sortby (title)
  }
</books-with-prices>
