import schema namespace bib = "http://www.e-xmlmedia.com/XQuery/use-cases/bib" at "bib.xsd"
<bib>
  {
    for $b in doc("bib.xml")/bib:bib//book
    where $b/publisher = "Addison-Wesley" and $b/@year > 1991
    return
        <book>
            { $b/@year }
            { $b/title }
        </book>
    sortby (title)
  }
</bib>