import schema namespace bib = "http://www.e-xmlmedia.com/XQuery/use-cases/bib" at "bib.xsd"
<bib>
    {
        for $b in doc("bib.xml")/bib:bib//book[author]
        return
            <book>
                { $b/title }
                { $b/author }
            </book>
    }
    {
        for $b in doc("bib.xml")/bib:bib//book[editor]
        return
            <reference>
                { $b/title }
                <org>{ $b/editor/affiliation/text() }</org>
            </reference>
    }
</bib> 