import schema namespace ite = "http://www.e-xmlmedia.com/XQuery/use-cases/items" at "items.xsd"
<result>
  {
	for $i in doc("items.xml")/ite:items//item_tuple
	where $i/start_date <= current-dateTime()
	  and $i/end_date >= date("1999-01-01")
	  and contains($i/description, "Bicycle")
	return
		<item_tuple>
			{ $i/itemno }
			{ $i/description }
		</item_tuple>
	sortby (itemno)
  }
</result> 