import schema namespace ite = "http://www.e-xmlmedia.com/XQuery/use-cases/items" at "items.xsd"
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
<result>
  {
	for $i in doc("items.xml")/ite:items//item_tuple
	let $b := doc("bids.xml")/bid:bids//bid_tuple[itemno = $i/itemno]
	where contains($i/description, "Bicycle")
	return
		<item_tuple>
			{ $i/itemno }
			{ $i/description }
			<high_bid>{ max($b/bid) }</high_bid>
		</item_tuple>
	sortby(itemno)
  }
</result>
