import schema namespace use = "http://www.e-xmlmedia.com/XQuery/use-cases/users" at "users.xsd"
import schema namespace ite = "http://www.e-xmlmedia.com/XQuery/use-cases/items" at "items.xsd"
<result>
  {
	for $u in doc("users.xml")/use:users//user_tuple
	for $i in doc("items.xml")/ite:items//item_tuple
	where $u/rating > "C"
	   and $i/reserve_price > 1000
	   and $i/offered_by = $u/userid
	return
		<warning>
			{ $u/name }
			{ $u/rating }
			{ $i/description }
			{ $i/reserve_price }
		</warning>
  }
</result>