import schema namespace ite = "http://www.e-xmlmedia.com/XQuery/use-cases/items" at "items.xsd"
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
let $allbikes := doc("items.xml")/ite:items//item_tuple[contains(description, "Bicycle") or contains(description, "Tricycle")]
let $bikebids := doc("bids.xml")/bid:bids//bid_tuple[itemno = $allbikes/itemno]
return
	<high_bid>
	  {
	    max($bikebids/bid)
	  }
	</high_bid>