import schema namespace ite = "http://www.e-xmlmedia.com/XQuery/use-cases/items" at "items.xsd"
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
let $highbid := max(doc("bids.xml")/bid:bids//bid_tuple/bid)
return
	<result>
	  {
		for $item in doc("items.xml")/ite:items//item_tuple,
		    $b in doc("bids.xml")/bid:bids//bid_tuple[itemno = $item/itemno]
		where $b/bid = $highbid
		return
			<expensive_item>
				{ $item/itemno }
				{ $item/description }
				<high_bid>{ $highbid }</high_bid>
			</expensive_item>
	  }
	</result>