import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
import schema namespace ite = "http://www.e-xmlmedia.com/XQuery/use-cases/items" at "items.xsd"
import schema namespace use = "http://www.e-xmlmedia.com/XQuery/use-cases/users" at "users.xsd"
<frequent_bidder>
  {
	for $u in doc("users.xml")/use:users//user_tuple
	where
	  every $item in doc("items.xml")/ite:items//item_tuple satisfies
	    some $b in doc("bids.xml")/bid:bids//bid_tuple satisfies
	      ($item/itemno = $b/itemno and $u/userid = $b/userid)
	return
		$u/name
  }
</frequent_bidder>