import schema namespace new="http://www.e-xmlmedia.com/XQuery/use-cases/news" at "news.xsd"
import schema namespace com="http://www.e-xmlmedia.com/XQuery/use-cases/company" at "company.xsd"
let $foobar_partners := doc("company.xml")//com:company[name = "Foobar Corporation"]//partner
for $item in doc("news.xml")/new:news//news_item
where
  some $t in $item//title satisfies
    (contains($t/text(), "Foobar Corporation")
    and some $partner in $foobar_partners satisfies
      contains($t/text(), $partner))
  or some $par in $item//par satisfies
   (contains($par, "Foobar Corporation")
     and some $partner in $foobar_partners satisfies
       contains($par, $partner))
return
    <news_item>
        { $item/title }
        { $item/date }
    </news_item>
