/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */

package org.xquark.extractor.metadata;


public class Column extends NamedNode
{

	private static final String RCSRevision = "$Revision: 1.3 $";
	private static final String RCSName     = "$Name:  $";

    private boolean _nullable;
    protected DBType _type;

    /**
     * @roseuid 3B27205802B9
     */
    public Column()
    {
    }

    /**
     * @param name
     * @roseuid 3B2762990341
     */
    public Column(String name)
    {
        super ( name ) ;
    }

    /**
     * Determines if the _nullable property is true.
     *
     * @return   <code>true<code> if the _nullable property is true
     */
    public boolean getNullable()
    {
        return _nullable;
    }

    /**
     * Sets the value of the _nullable property.
     *
     * @param aNullable the new value of the _nullable property
     */
    public void setNullable(boolean aNullable)
    {
        _nullable = aNullable;
    }
    public String pprint() {
    	return null;
    }
}
/*
Column.setName(String){
        _name = aName;
    }
 */
/*
Column.getName(){
        return _name;
    }
 */
