/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */

package org.xquark.extractor.sql;


public class SqlLitInteger extends SqlLiteral
{

	private static final String RCSRevision = "$Revision: 1.3 $";
	private static final String RCSName     = "$Name:  $";

    private Integer _value;

    /**
    @param value
    @roseuid 3BD177F60378
     */
    public SqlLitInteger(Integer value)
    {
        setValue ( value )  ;
    }

    /**
    @roseuid 3BD177F60346
     */
    public SqlLitInteger()
    {

    }

    /**
    @return Integer
    @roseuid 3BD177F70012
     */
    public Integer getValue()
    {
      return _value;
    }

    /**
    @param aValue
    @roseuid 3BD177F70044
     */
    public void setValue(Integer aValue)
    {
        _value = aValue;
    }

    /**
    @return String
    @roseuid 3BD177F700D0
     */
    public String toSql(Context context)
    {
        return  _value.toString  (  ) ;
    }
}
