{-- 
For all bicycles, list the item number, description, and highest bid (if any), ordered by item number.
--}

<result>
  {
    for $i in collection("ITEMS")/*:ITEMS
    let $b := collection("BIDS")/*:BIDS[ITEMNO = $i/ITEMNO]
    where contains($i/DESCRIPTION, "Bicycle")
    return
        <item>
            { $i/ITEMNO }
            { $i/DESCRIPTION }
            <high_bid>{ max($b/BID) }</high_bid>
        </item>
    sortby(ITEMNO)
  }
</result> 
