{--
List the item number and description of the item(s) that received the highest bid ever recorded, and the amount of that bid.
--}

let $highbid := max(collection("BIDS")/*:BIDS/BID)
return
    <result>
      {
        for $item in collection("ITEMS")/*:ITEMS,
            $b in collection("BIDS")/*:BIDS[ITEMNO = $item/ITEMNO]
        where $b/BID = $highbid
        return
            <expensive_item>
                { $item/ITEMNO }
                { $item/DESCRIPTION }
                <high_bid>{ $highbid }</high_bid>
            </expensive_item>
      }
    </result>

