{--
List all users in alphabetic order by name. For each user, include descriptions of all the items (if any) that were bid on by that user, in alphabetic order. 
--}

<result>
  {
    for $u in collection("USERS")/*:USERS
    return
        <user>
            { $u/NAME }
            {
                for $b in distinct-values(collection("BIDS")/*:BIDS[USERID = $u/USERID]/ITEMNO),
                    $i in collection("ITEMS")/*:ITEMS[ITEMNO = $b]
                return
                    <bid_on_item>{ $i/DESCRIPTION/text() }</bid_on_item>
                sortby(.)
            }
        </user>
    sortby(NAME)
  }
</result>

