drop table bids;
drop table items;
drop table users;

create table users (
 userid 				   char(3) primary key,
 name					   varchar(20) unique,
 rating					   char(1)
);

create table items (
 itemno 				   char(4) primary key,
 description			   varchar(30),
 offered_by				   char(3),
 start_date				   date,
 end_date				   date,
 reserve_price			   decimal(10)
);

insert into users values('U01','Tom Jones','B');
insert into users values('U02','Mary Doe','A');
insert into users values('U03','Dee Linquent','D');
insert into users values('U04','Roger Smith','C');
insert into users values('U05','Jack Sprat','B');
insert into users values('U06','Rip Van Winkle','B');


insert into items values(1001,'Red Bicycle','U01','2002-02-05','2002-02-20',40);
insert into items values(1002,'Motorcycle','U02','2002-03-11','2002-04-15',500);
insert into items values(1003,'Old Bicycle','U02','2002-02-10','2100-03-20',25);
insert into items values(1004,'Tricycle','U01','2002-03-25','2002-04-08',15);
insert into items values(1005,'Tennis Racket','U03','2002-04-19','2002-05-30',20);
insert into items values(1006,'Helicopter','U03','2002-06-05','2002-06-25',50000);
insert into items values(1007,'Racing Bicycle','U04','2002-02-20','2100-03-20',200);
insert into items values(1008,'Broken Bicycle','U01','2002-03-05','2002-04-06',25);
