{--
Find the highest bid ever made for a bicycle or tricycle.
--}
import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
let $allbikes := collection("ITEMS")/*:ITEMS[contains(DESCRIPTION, "Bicycle") 
                     			   or contains(DESCRIPTION, "Tricycle")]
let $bikebids := doc("bids.xml")/bid:bids/bid_tuple[itemno = $allbikes/ITEMNO]
return
    <high_bid>
      { 
        max($bikebids/bid) 
      }
    </high_bid>
