import schema namespace bid = "http://www.e-xmlmedia.com/XQuery/use-cases/bids" at "bids.xsd"
import schema namespace use = "http://www.e-xmlmedia.com/XQuery/use-cases/users" at "users.xsd"
<result>
  {
	for $uid in distinct-values(doc("bids.xml")/bid:bids//userid),
	    $u in doc("users.xml")/use:users//user_tuple[userid = $uid]
	let $b := doc("bids.xml")/bid:bids//bid_tuple[userid = $uid]
	return
		<bidder>
			{ $u/userid }
			{ $u/name }
			<bidcount>{ count($b) }</bidcount>
			<avgbid>{ avg($b/bid) }</avgbid>
		</bidder>
	sortby(userid)
  }
</result>
