/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */


package  org.xquark.xquery.parser.util;


public class XQueryExpressionTools {
    
    private static final String RCSRevision = "$Revision: 1.1 $";
    private static final String RCSName     = "$Name:  $";
    
//    /**
//     * A *real* clone of a ArrayList
//     */
//    public static ArrayList totalClone(ArrayList origvec) throws CloneNotSupportedException {
//        try {
//            ArrayList newvec = new ArrayList() ;
//            for (int i = 0 ; i < origvec.size() ; i ++) {
//                Object obj = origvec.get(i) ;                
//                if (obj instanceof XQueryExpression) newvec.add(((XQueryExpression) obj).clone()) ;
//                else if (obj instanceof XQueryUnit) newvec.add(((XQueryUnit) obj).clone()) ;
//                else if (obj instanceof XQueryFile) newvec.add(((XQueryFile) obj).clone()) ;
//                else throw new CloneNotSupportedException("Error in cloning ArrayList") ;
//            }
//            return newvec ;
//        }
//        catch (Exception e) {
//            //System.err.println("XQueryExpressionTools: " + e.getMessage()) ;
//            throw new CloneNotSupportedException("Error in cloning ArrayList") ;
//        }
//    }
//    
//    public static ArrayList totalClone(ArrayList origvec, HashMap mapvars) throws CloneNotSupportedException {
//        try {
//            ArrayList newvec = new ArrayList() ;
//            for (int i = 0 ; i < origvec.size() ; i ++) {
//                Object obj = origvec.get(i) ;                
//                if (obj instanceof XQueryExpression) newvec.add(((XQueryExpression) obj).clone(mapvars)) ;
//                else if (obj instanceof XQueryUnit) newvec.add(((XQueryUnit) obj).clone(mapvars)) ;
//                else if (obj instanceof XQueryFile) newvec.add(((XQueryFile) obj).clone(mapvars)) ;
//                else throw new CloneNotSupportedException("Error in cloning ArrayList") ;                
//            }
//            return newvec ;
//        }
//        catch (Exception e) {
//            //System.err.println("XQueryExpressionTools: " + e.getMessage()) ;
//            throw new CloneNotSupportedException("Error in cloning ArrayList") ;
//        }
//    }
//    
//    public static ArrayList totalClone(ArrayList origvec, XQueryUnit unit) throws CloneNotSupportedException {
//        try {
//            ArrayList newvec = new ArrayList() ;
//            for (int i = 0 ; i < origvec.size() ; i ++) {
//                Object obj = origvec.get(i) ;                
//                if (obj instanceof XQueryExpression) newvec.add(((XQueryExpression) obj).totalClone(unit)) ;
//                else if (obj instanceof XQueryUnit) newvec.add(((XQueryUnit) obj).clone()) ;
//                else if (obj instanceof XQueryFile) newvec.add(((XQueryFile) obj).clone()) ;
//                else throw new CloneNotSupportedException("Error in cloning ArrayList") ;                
//            }
//            return newvec ;
//        }
//        catch (Exception e) {
//            System.err.println("XQueryExpressionTools: " + e.getMessage()) ;
//            throw new CloneNotSupportedException("Error in cloning ArrayList") ;
//        }
//    }
//    
//    public static HashMap totalCloneHashMap(HashMap origvec) throws CloneNotSupportedException {
//        if (origvec == null) return null ;
//        try {
//            HashMap newvec = new HashMap() ;
//            Set keys = origvec.keySet();
//            Iterator it = keys.iterator();
//            while (it.hasNext()) {
//                Object objkey = it.next() ;
//                Object clonekey = null ;
//                if (objkey instanceof String) clonekey = new String((String) objkey) ;
//                else if (objkey instanceof XQueryExpression) clonekey = ((XQueryExpression) objkey).clone() ;
//                else System.out.println("FORGOT INSTANCE " + objkey.getClass().getName()) ;
//                
//                Object value = origvec.get(objkey) ;                
//                if (value == null) continue ;                
//                
//                if (value instanceof XQueryExpression) newvec.put(clonekey, ((XQueryExpression) value).clone()) ;
//                else if (value instanceof ContextDeclaration) newvec.put(clonekey, ((ContextDeclaration) value).clone()) ;
//                else System.out.println("FORGOT INSTANCE " + value.getClass().getName()) ;
//            }
//            return newvec ;
//        }
//        catch (Exception e) {
//            throw new CloneNotSupportedException("Error in cloning HashMap") ;
//        }
//    }
//    
//    public static HashMap totalCloneHashMap(HashMap origvec, HashMap mapvars) throws CloneNotSupportedException {
//        if (origvec == null) return null ;
//        try {
//            HashMap newvec = new HashMap() ;
//            Set keys = origvec.keySet();
//            Iterator it = keys.iterator();
//            while (it.hasNext()) {
//                Object objkey = it.next() ;
//                Object clonekey = null ;
//                if (objkey instanceof String) clonekey = new String((String) objkey) ;
//                else if (objkey instanceof XQueryExpression) clonekey = ((XQueryExpression) objkey).clone(mapvars) ;
//                else System.out.println("FORGOT INSTANCE " + objkey.getClass().getName()) ;
//                
//                Object value = origvec.get(objkey) ;
//                
//                if (value == null) continue ;
//                                
//                if (value instanceof XQueryExpression) newvec.put(clonekey, ((XQueryExpression) value).clone(mapvars)) ;
//                else if (value instanceof ContextDeclaration) newvec.put(clonekey, ((ContextDeclaration) value).clone(mapvars)) ;
//                else System.out.println("FORGOT INSTANCE " + value.getClass().getName()) ;
//            }
//            return newvec ;
//        }
//        catch (Exception e) {
//            throw new CloneNotSupportedException("Error in cloning HashMap") ;
//        }
//    }
//    
//    public static HashMap totalCloneHashMap(HashMap origvec, XQueryUnit unit) throws CloneNotSupportedException {
//        if (origvec == null) return null ;
//        try {
//            HashMap newvec = new HashMap() ;
//            Set keys = origvec.keySet();
//            Iterator it = keys.iterator();
//            while (it.hasNext()) {
//                Object objkey = it.next() ;
//                Object clonekey = null ;
//                if (objkey instanceof String) clonekey = new String((String) objkey) ;
//                else if (objkey instanceof XQueryExpression) clonekey = ((XQueryExpression) objkey).clone() ;
//                else System.out.println("FORGOT INSTANCE " + objkey.getClass().getName()) ;
//                
//                Object value = origvec.get(objkey) ;
//                if (value == null) continue ;
//                else if (value instanceof XQueryExpression) newvec.put(clonekey, ((XQueryExpression) value).totalClone(unit)) ;
//                else System.out.println("FORGOT INSTANCE " + value.getClass().getName()) ;
//            }
//            return newvec ;
//        }
//        catch (Exception e) {
//            System.err.println("XQueryExpressionTools: " + e.getMessage()) ;
//            throw new CloneNotSupportedException("Error in cloning HashMap") ;
//        }
//    }
}
